package ca.recrown.islandsurvivalcraft;

import org.bukkit.generator.ChunkGenerator;
import org.bukkit.plugin.java.JavaPlugin;

import ca.recrown.islandsurvivalcraft.worldgeneration.BiomePerIslandGenerator;
import ca.recrown.islandsurvivalcraft.worldgeneration.IslandSurvivalCraftWorldGenerator;

public class IslandSurvivalCraft extends JavaPlugin {
    IslandSurvivalCraftWorldGenerator generator;

    @Override
    public void onEnable() {
        generator = new IslandSurvivalCraftWorldGenerator(new BiomePerIslandGenerator());
        generator.initialize();
        super.onEnable();
    }

    @Override
    public void onDisable() {
        super.onDisable();
    }

    @Override
    public ChunkGenerator getDefaultWorldGenerator(String worldName, String id) {
        return generator;
    }
}
